Bulk get agent policies

Base URL
https://{kibana_url}
  • POST /api/fleet/agent_policies/_bulk_get
  • POST /s/{space_id}/api/fleet/agent_policies/_bulk_get
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

format enum

Simplified or legacy format for package inputs

Values: simplified legacy

Request body

full boolean

get full policies with package policies populated

ids string[] required

list of agent policy ids

ignoreMissing boolean

Responses

OK

application/json
items object[] required
advanced_settings object nullable

Advanced settings stored in the agent policy, e.g. agent_limits_go_max_procs

agent_features object[]
enabled boolean required
name string required
agents number
data_output_id string nullable
description string
download_source_id string nullable
fleet_server_host_id string nullable
global_data_tags (string to number | string)[]
id string required
inactivity_timeout integer
is_protected boolean

Indicates whether the agent policy has tamper protection enabled. Default false.

keep_monitoring_alive boolean nullable

When set to true, monitoring will be enabled but logs/metrics collection will be disabled

monitoring_diagnostics object
limit object
burst number
interval string
uploader object
init_dur string
max_dur string
max_retries number
monitoring_enabled enum[]
Values: metrics logs
monitoring_http object
enabled boolean required
host string
port number
monitoring_output_id string nullable
monitoring_pprof_enabled boolean
name string required
namespace string required
overrides object nullable

Override settings that are defined in the agent policy. Input settings cannot be overridden. The override option should be used only in unusual circumstances and not as a routine procedure.

package_policies object[]

This field is present only when retrieving a single agent policy, or when retrieving a list of agent policies with the ?full=true parameter

id string required
inputs union oneOf required
One of: object[] or object
revision number required
description string
enabled boolean
name string required
namespace string
output_id string
overrides object
package object
name string required
requires_root boolean
title string
version string required
policy_id string nullable deprecated
policy_ids string[]
revision number
supports_agentless boolean

Indicates whether the agent policy supports agentless integrations. Only allowed in a serverless environment.

unenroll_timeout integer
unprivileged_agents number
updated_by string
updated_on string · format: date-time

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}